2 Replies Latest reply: Dec 24, 2010 3:20 PM by Jan Goyvaerts RSS

What version for JDK 1.5 ?

Jan Goyvaerts Newbie

Just a practical question: What's the best version of Infinispan for JDK 1.5 ?

 

Unfortunately we don't have the possibility of upgrading to JDK6 just yet, but we're in dire need of a distributed caching solution.

 

Thanks !

 

Jan

  • 1. Re: What version for JDK 1.5 ?
    Sanne Grinovero Master

    I'm sorry Jan, it's not possible to run Infinispan on Java5, it relies on many advanced concurrency features which where not available before.

    BTW I'm sure you know that Java5 reached end of life?

    A possibility would be to run Infinispan in it's own VM using Java6, and connect to it via HotRod. At the moment as we thought that nobody was still interested in Java5 also HotRod is built with Java6, but it might be an easy port, if you're interested to contribute a patch. Of course, it won't be as fast as an in-VM Infinispan.

  • 2. Re: What version for JDK 1.5 ?
    Jan Goyvaerts Newbie

    No problem. I was asking just to make sure it could (not). My customer is working on it to upgrade to JDK6 but this is more urgent. And yes, I know JDK5 is EOL for quite some time now. But you know customers. :-)  Thanks for your reply ! But I'll consider HotRod.  Thanks & Merry Xmas !  Jan